Batch lookup phone numbers
curl --request POST \
--url https://api-message.nativehub.live/api/v1/numbers/lookup/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"numbers": [
"+8801712345678",
"+8801812345679",
"+8801912345680"
]
}
'import requests
url = "https://api-message.nativehub.live/api/v1/numbers/lookup/batch"
payload = { "numbers": ["+8801712345678", "+8801812345679", "+8801912345680"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({numbers: ['+8801712345678', '+8801812345679', '+8801912345680']})
};
fetch('https://api-message.nativehub.live/api/v1/numbers/lookup/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "d6e7f8a9-b0c1-2345-de67-890123456789",
"phone": "+8801712345678",
"country_code": "BD",
"country_name": "Bangladesh",
"carrier": "Grameenphone",
"is_ported": false,
"is_mobile": true,
"mcc": "470",
"mnc": "01",
"created_at": "2026-02-14T10:30:00Z"
}
]Number Lookup
Batch lookup phone numbers
Lookup information for multiple phone numbers
POST
/
numbers
/
lookup
/
batch
Batch lookup phone numbers
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I